Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityBat

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityAmbientCreature
                  net.minecraft.src.EntityBat

All Implemented Interfaces:
  IAnimals

    public class EntityBat

extends EntityAmbientCreature

Field Summary

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTempCounter, arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityBat(World par1World)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `doesEntityNotTriggerPressurePlate()` Return whether this entity should NOT trigger a pressure plate or a tripwire.
`boolean` | `getCanSpawnHere()` Checks if the entity's current position is a valid location to spawn this entity.
`boolean` | `getIsBatHanging()`
`int` | `getMaxHealth()`
`void` | `initCreature()` Initialize this creature.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setIsBatHanging(boolean par1)`
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSpeedModifier, getSwingProgress, getTalkInterval, getTexture, getTotalArmorValue, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, isBlocking, isChild, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, onLivingUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityBat

    public EntityBat(World par1World)

Method Detail

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### getIsBatHanging

    public boolean getIsBatHanging()

### setIsBatHanging

    public void setIsBatHanging(boolean par1)

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityLiving`

### doesEntityNotTriggerPressurePlate

    public boolean doesEntityNotTriggerPressurePlate()

  Return whether this entity should NOT trigger a pressure plate or a tripwire.

  Overrides:
    `doesEntityNotTriggerPressurePlate` in class `Entity`

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `EntityLiving`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityLiving`

### getCanSpawnHere

    public boolean getCanSpawnHere()

  Checks if the entity's current position is a valid location to spawn this entity.

  Overrides:
    `getCanSpawnHere` in class `EntityLiving`

### initCreature

    public void initCreature()

  Initialize this creature.

  Overrides:
    `initCreature` in class `EntityLiving`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD